GIMP(1)

NAME
gimp - an image manipulation and paint program.

SYNOPSIS
gimp [-h] [--help] [-v] [--version] [-b] [--batch <commands>] [-g] [--gimprc <gimprc>] [-n] [--no-interface] [-r] [--restore-session] [--no-data] [--verbose] [--no-shm] [--no-xshm] [--display display] [--no-splash] [--no-splash-image] [--debug-handlers] [--console-messages] [--system-gimprc <gimprc>] [filename]...

DESCRIPTION

The GIMP is the GNU Image Manipulation Program. It is used to edit and manipulate images. It can load and save a variety of image formats and can be used to convert between formats.

Gimp can also be used as a paint program. It features a set of drawing and painting tools such as airbrush, clone, pencil, and paint brush. Painting and drawing tools can be applied to an image with a variety of paint modes. It also offers an extensive array of selection tools like rectangle, ellipse, fuzzy select, bezier select, intelligent scissors, and select by color.

Gimp offers a variety of plugins that perform a variety of image manipulations. Examples include bumpmap, edge detect, gaussian blur, and many others.

In addition, Gimp has several scripting extension which allow for advanced non-interactive processing and creation of images.

OPTIONS
The gimp accepts the following options:

-h, --help
    Display a list of all commandline options.

-v, --version
    Output the version info.

-b, --batch <commands>
    Execute the set of <commands> non-interactively. The set of <commands> is typically in the form of a script that can be executed by one of the Gimp scripting extensions.

-g, --gimprc <gimprc>
    Use an alternative gimprc instead of the default one. Useful in cases where plugins paths or machine specs may be different.

-i, --no-interface
    Run without a user interface.

-r, --restore-session
    Try to restore saved session.

-d, --no-data
    Do not load patterns, gradients, palettes, or brushes. Often useful in non-interactive situations where startup time is to be minimized.

--verbose
    Show startup messages.

--no-shm
    Do not use shared memory between GIMP and its plugins. Instead of using shared memory, GIMP will send the data via pipe. This will result in slower performance than using shared memory.

--no-xshm
    Do not use the X Shared Memory extension. If GIMP is being displayed on a remote X server, this probably needs to be enabled. Also useful for any X server that doesn't properly support the X shared memory extension. This will result in slower performance than with X shared memory enabled.

--display display
    Use the designated X display.

-s, --no-splash
    Do not show the splash screen.

-S, --no-splash-image
    Do not show the splash screen image as part of the splash screen.

--debug-handlers
    Enable debugging signal handlers.

-c, --console-messages
    Do not popup dialog boxes on errors or warnings. Print the messages on the console instead.

--enable-stack-trace {never|query|always}
    If a stack-trace should be generated in case of fatal signals.

--system-gimprc <gimprc>
    Use an alternate system gimprc file.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

FILES
Gimp's data files are stored in ${prefix}/share/gimp/1.2, where ${prefix} is set on install, but is typically /usr/local. Gimp's system-wide configuration files are stored in /etc/gimp/1.2. Most gimp configuration is read in from the user's init file, $HOME/.gimp-1.2/gimprc. The system wide equivalent is in /etc/gimprc. The system wide file is parsed first and the user gimprc can override the system settings. /etc/gimprc_user is the default gimprc placed in users' home directories the first time gimp is run. $HOME/.gimp-1.2/gtkrc - users set of gimp-specific GTK config settings. Options such as widget color and fonts sizes can be set here. /etc/gimp/1.2/gtkrc - sytem wide default set of gimp-specific GTK config settings. $HOME/.gimp-1.2/ideas - lists all images that have been opened or saved using Gimp. $HOME/.gimp-1.2/menurc - user's set of keybindings. /etc/gimp/1.2/menurc - system wide set of keybindings. $HOME/.gimp-1.2/parasiterc - Description of all available gimp parasites. This is file is recreated everytime gimp starts up. $HOME/.gimp-1.2/sessionrc - This file takes session-specific info (that is info, you want to keep between two gimp-sessions). You are not supposed to edit it manually, but of course you can do. This file will be entirely rewritten every time you quit the gimp. If this file isn't found, defaults are used. /etc/gimp/1.2/unitrc - default user unit database. It contains the unit definitions for centimeters, meters, feet, yards, typographic points and typographic picas and is placed in users home directories the first time the gimp is ran. $HOME/.gimp-1.2/unitrc - This file contains your user unit database. You can modify this list with the unit editor. You are not supposed to edit it manually, but of course you can do. This file will be entirely rewritten every time you quit the gimp. $HOME/.gimp-1.2/plug-ins - location of user installed plugins. $HOME/.gimp-1.2/pluginrc - plugin initialization values are stored here. This file is parsed on startup and regenerated if need be. $HOME/.gimp-1.2/modules - location of user installed modules. $HOME/.gimp-1.2/tmp - default location that gimp uses as temporary space. ${prefix}/share/gimp/1.2/brushes - system wide brush files. $HOME/.gimp-1.2/brushes - user created and installed brush files. These files are in the .gbr (gimp brush) format. $HOME/.gimp-1.2/generated_brushes - Brushes generated and saved from the brush dialog. These files are in the .vbr (gimp vector brush) format. $HOME/.gimp-1.2/curves - Curve profiles and presets as saved from the Curves tool. $HOME/.gimp-1.2/gimpressionist - Presets and user created brushes and papers are stored here. $HOME/.gimp-1.2/levels - Level profiles and presets as saved from the Levels tool. ${prefix}/share/gimp/1.2/palettes - the system wide palette files. The files are copied to the user palettes directory when gimp is first ran to allow the user to modify the palettes. This directory is not searched for palettes by default. $HOME/.gimp-1.2/palettes - copies of the system palette files as well as user created and modified palette files. ${prefix}/share/gimp/1.2/patterns - basic set of patterns for use in gimp. $HOME/.gimp-1.2/patterns - user created and installed gimp pattern files. This files are in the .pat format. ${prefix}/share/gimp/1.2/gradients - standard system wide set of gradient files. $HOME/.gimp-1.2/gradients - user created and installed gradient files. ${prefix}/share/gimp/1.2/scripts - system wide directory of scripts used in Script-Fu and other scripting extensions. $HOME/.gimp-1.2/scripts - user created and installed scripts. ${prefix}/share/gimp/1.2/gflares - system wide directory used by the gflare plug-in. $HOME/.gimp-1.2/gflares - user created and installed gflare files. ${prefix}/share/gimp/1.2/gfig - system wide directory used by the gfig plug-in. $HOME/.gimp-1.2/gfig - user created and installed gfig files. ${prefix}/share/gimp/1.2/gimp_splash.ppm - graphic file used for the gimp splash screen. ${prefix}/share/gimp/1.2/gimp_logo.ppm - graphic file used in the Gimp about dialog. ${prefix}/share/gimp/1.2/tips/gimp_tips.txt - list of tips displayed in the "Tip of the Day" dialog box. At the same place you will find files with tips in other languages.

SUGGESTIONS AND BUG REPORTS
Any bugs found should be reported to the online bug-tracking system available on the web at http://bugzilla.gnome.org/. Before reporting bugs, please check to see if the bug has already been reported. When reporting Gimp bugs, it is important to include a reliable way to reproduce the bug, version number of Gimp (and probably GTK), OS name and version, and any relevant hardware specs. If a bug is causing a crash, it is very useful if a stack trace can be provided. And of course, patches to rectify the bug are even better.

OTHER INFO
The canonical place to find GIMP info is at http://www.gimp.org/. Here you can find links to just about every other gimp site, tutorials, data sets, mailing list archives, and more. There is also a GIMP User Manual available at http://manual.gimp.org/ that goes into much more detail about the interactive use of Gimp. The latest version of GIMP and the GTK+ libs is always available at ftp://ftp.gimp.org/.

AUTHORS
Spencer Kimball and Peter Mattis. With patches, fixes, plugins, extensions, scripts, translations, documentation, and more from lots and lots of people including but not limited to Lauri Alanko, Shawn Amundson, Sven Anders, Karl-Johan Andersson, John Beale, Zach Beane, Tom Bech, Marc Bless, Edward Blevins, Reagan Blundell, Xavier Bouchoux, Roberto Boyd, Stanislav Brabec, Robert Brady, Hans Breuer, Simon Budig, Carey Bunks, Seth Burgess, Brent Burton, Francisco Bustamante, Albert Cahalan, George J. Carrette, Sean Cier, Winston Chang, Kenneth Christiansen, Zbigniew Chyla, Ed Connel, Piers Cornwell, Daniel Cotting, Jay Cox, Brian Degenhardt, Gert Dewit, Andreas Dilger, Austin Donnelly, Scott Draves, Daniel Dunbar, Misha Dynin, Daniel Egger, Morton Eriksen, Larry Ewing, Nick Fetchak, Valek Filippov, David Forsyth, Raphael Francois, Jochen Friedrich, Sami Gerdt, Jim Geuther, Graeme Gill, Scott Goehring, Heiko Goller, Marcelo de Gomensoro Malheiros, Pavel Grinfeld, Michael Hammel, Henrik Hansen, Ville Hautamaki, James Henstridge, Eric Hernes, David Hodson, Christoph Hoegl, Wolfgang Hofer, Jan Hubicka, Andreas Hyden, Ben Jackson, Krzysztof Jakubowski, Simon Janes, Tim Janik, Fellmann Joaquim, Andrew Kieschnick, Peter Kirchgessner, Philipp Klaus, David Koblas, Robert L Krawitz, Tuomas Kuosmanen, Karin Kylander, Olof S Kylander, Karl La Rocca, Chris Lahey, Nick Lamb, Marco Lamberto, Jens Lautenbacher, Laramie Leavitt, Elliot Lee, Marc Lehmann, Ray Lehtiniemi, Raph Levien, Wing Tung Leung, Adrian Likins, Tor Lillqvist, Ingo Luetkebohle, Josh MacDonald, Ed Mackey, Vidar Madsen, Ian Main, Kjartan Maraas, Kelly Martin, Torsten Martinsen, Gordon Matzigkeit, Gregory McLean, Daniele Medri, Federico Mena Quintero, James Mitchell, Hirotsuna Mizuno, David Monniaux, Adam D Moss, Balazs Nagy, Yukihiro Nakai, Sung-Hyun Nam, Shuji Narazaki, Felix Natter, Michael Natterer, Sven Neumann, Stephen Robert Norris, Tim Newsome, Erik Nygren, Tomas Ogren, Miles O'Neal, Thom van Os, Garry R. Osgood, Alan Paeth, Jay Painter, Sergey Panov, Asbjorn Pettersen, Mike Phillips, Artur Polaczynski, Raphael Quinet, Tom Rathborne, Vincent Renardias, Jens Restemeier, Maurits Rijk, Daniel Risacher, James Robinson, Tim Rowley, Pablo Saratxaga, Mike Schaeffer, John Schlag, Norbert Schmitz, Thorsten Schnier, Alexander Schulz, Tracy Scott, Craig Setera, Aaron Sherman, Manish Singh, Daniel Skarda, Nathan Summers, Mike Sweet, Yuri Syrota, Eiichi Takamori, Tristan Tarrant, Michael Taylor, Owen Taylor, Ian Tester, Andy Thomas, Kevin Turner, Martin Weber, James Wang, Kris Wehner, Nigel Wetten, Calvin Williamson, Matthew Wilson, Shirasaki Yasuhiro.

SEE ALSO
gimprc(5), gimptool(1), gimp-remote(1)